%global collection_namespace community
%global collection_name rabbitmq

Name:           ansible-collection-%{collection_namespace}-%{collection_name}
Version:        1.2.1
Release:        1%{?dist}
Summary:        RabbitMQ collection for Ansible

# plugins/module_utils/_version.py: Python Software Foundation License version 2
License:        GPLv3+ and Python
URL:            %{ansible_collection_url}
Source0:        https://github.com/ansible-collections/community.rabbitmq/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  ansible-packaging

BuildArch:      noarch

%description
%{summary}.

%prep
%autosetup -n community.rabbitmq-%{version}
rm -rf .azure-pipelines
find -type f ! -executable -name '*.py' -print -exec sed -i -e '1{\@^#!.*@d}' '{}' +
find -type f -name '.gitignore' -print -delete

%build
%ansible_collection_build

%install
%ansible_collection_install
rm -vr %{buildroot}%{ansible_collection_files}/%{collection_name}/tests

%files
%license COPYING PSF-license.txt
%doc README.md CHANGELOG.rst
%{ansible_collection_files}

%changelog
* Wed May 18 2022 Maxwell G <gotmax@e.email> - 1.2.1-1
- Update to 1.2.1. Fixes rhbz#2086332.

* Mon May 16 2022 Maxwell G <gotmax@e.email> - 1.1.0-2
- Rebuild for new ansible-packaging.

* Thu Oct 14 2021 Pete Buffon <petebuffon@gmail.com> - 1.1.0
- Initial package
